[Xquartz-changes] [409] trunk/compile-xserver.sh

source_changes at macosforge.org source_changes at macosforge.org
Wed Jan 27 14:51:19 PST 2010


Revision: 409
          http://trac.macosforge.org/projects/xquartz/changeset/409
Author:   jeremyhu at freedesktop.org
Date:     2010-01-27 14:51:16 -0800 (Wed, 27 Jan 2010)
Log Message:
-----------
Small cleanups for compilation script

Modified Paths:
--------------
    trunk/compile-xserver.sh

Modified: trunk/compile-xserver.sh
===================================================================
--- trunk/compile-xserver.sh	2010-01-27 21:54:16 UTC (rev 408)
+++ trunk/compile-xserver.sh	2010-01-27 22:51:16 UTC (rev 409)
@@ -12,27 +12,26 @@
  
 . ~/src/strip.sh
 
-#ACLOCAL="aclocal -I /opt/X11/share/aclocal -I /usr/local/share/aclocal"
-ACLOCAL="aclocal -I /usr/X11/share/aclocal -I /usr/local/share/aclocal"
+PREFIX=/usr/X11
+#PREFIX=/opt/X11
 
+ACLOCAL="aclocal -I ${PREFIX}/share/aclocal -I /usr/local/share/aclocal"
+
 CFLAGS="-Wall -pipe -DNO_ALLOCA"
 CFLAGS="$CFLAGS -O0 -ggdb3"
-#CFLAGS="$CFLAGS -O2"
 CFLAGS="$CFLAGS -arch i386 -arch x86_64 -arch ppc"
 
 LDFLAGS="$CFLAGS"
 
 #CPPFLAGS="$CPPFLAGS -F/Applications/Utilities/XQuartz.app/Contents/Frameworks"
 #LDFLAGS="$LDFLAGS -F/Applications/Utilities/XQuartz.app/Contents/Frameworks"
+#CONFOPT="$CONFOPT --with-apple-application-name=XQuartz --with-launchd-id-prefix=org.macosforge.xquartz"
 
 export ACLOCAL CPPFLAGS CFLAGS LDFLAGS
 
-#PKG_CONFIG_PATH=/opt/X11/lib/pkgconfig:$PKG_CONFIG_PATH
-#PATH=/opt/X11/bin:$PATH
+PKG_CONFIG_PATH=${PREFIX}/share/pkgconfig:${PREFIX}/lib/pkgconfig:$PKG_CONFIG_PATH
+PATH=${PREFIX}/bin:$PATH
 
-PKG_CONFIG_PATH=/usr/X11/lib/pkgconfig:$PKG_CONFIG_PATH
-PATH=/usr/X11/bin:$PATH
-
 die() {
 	echo "${@}" >&2
 	exit 1
@@ -40,7 +39,7 @@
 
 docomp() {
 	autoreconf -fvi || die
-	./configure --prefix=/usr/X11 ${CONFOPT} --disable-dependency-tracking --enable-maintainer-mode --enable-xcsecurity --enable-record --with-apple-application-name=XQuartz --with-launchd-id-prefix=org.macosforge.xquartz "${@}" || die "Could not configure xserver"
+	./configure --prefix=${PREFIX} ${CONFOPT} --disable-dependency-tracking --enable-maintainer-mode --enable-xcsecurity --enable-record "${@}" || die "Could not configure xserver"
 	${MAKE} clean || die "Unable to make clean"
 	${MAKE} ${MAKE_OPTS} || die "Could not make xserver"
 }
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/xquartz-changes/attachments/20100127/95ca8622/attachment.html>


More information about the Xquartz-changes mailing list